%define module 	mpi4py
%define name 	python-%{module}
%define version 1.1.0
%define release %mkrel 1

Summary: 	MPI for Python
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://mpi4py.googlecode.com/files/%{module}-%{version}.tar.gz
License: 	Public Domain
Group: 		Development/Python
Url: 		http://mpi4py.googlecode.com
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%py_requires -d
Requires:	openmpi
BuildRequires:	python-cython, openmpi, openmpi-devel
BuildRequires:	tetex-latex, python-docutils >= 0.4, python-sphinx

%description
This package provides MPI support for Python scripting in parallel
environments. It is constructed on top of the MPI-1/MPI-2
specification, but provides an object oriented interface which closely
follows the MPI-2 C++ bindings.

This module supports point-to-point (send, receive) and collective
(broadcast, scatter, gather, reduction) communications of any
picklable Python object.

For objects exporting single-segment buffer interface (strings, NumPy
arrays, etc.), blocking/nonblocking/persistent point-to-point,
collective and one-sided (put, get, accumulate) communications are
fully supported, as well as parallel I/O (blocking and nonblocking,
collective and noncollective read and write operations using explicit
file offsets, individual file pointers and shared file pointers).

There is also full support for group and communicator (inter, intra,
Cartesian and graph topologies) creation and management, as well as
creating user-defined datatypes. Additionally, there is almost
complete support for dynamic process creation and management (spawn,
name publishing).

%prep
%setup -q -n %{module}-%{version}

%build
export CFLAGS="-Wno-error=format-security" 
%__python setup.py build
pushd docs/source
make PAPER=letter latex
make -C build/latex all-pdf
popd 

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc test/ demo/ *.txt docs/source/build/latex/mpi4py.pdf


%changelog
* Mon Jul 13 2009 Lev Givon <lev@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 395522
- Update to 1.1.0.

* Sun May 03 2009 Lev Givon <lev@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 371315
- Update to 1.0.0.

* Mon Dec 29 2008 Funda Wang <fundawang@mandriva.org> 0.6.0-4mdv2009.1
+ Revision: 320930
- fix str fmt
- adjust BR

* Tue Sep 16 2008 Lev Givon <lev@mandriva.org> 0.6.0-4mdv2009.0
+ Revision: 285238
- Include openmpi as a build req so that the module is build with mpicc.

* Wed Sep 03 2008 Lev Givon <lev@mandriva.org> 0.6.0-3mdv2009.0
+ Revision: 279886
- Rebuild against latest version of openmpi.

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.0-2mdv2009.0
+ Revision: 269034
- rebuild early 2009.0 package (before pixel changes)

  + Lev Givon <lev@mandriva.org>
    - Update to 0.6.0.

* Mon May 19 2008 Lev Givon <lev@mandriva.org> 0.5.0-2mdv2009.0
+ Revision: 208969
- Rebuild against latest release of openmpi.

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-1mdv2008.1
+ Revision: 166046
- fix spacing at top of description
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Lev Givon <lev@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 67961
- Update to 0.5.0.

* Thu May 10 2007 Lev Givon <lev@mandriva.org> 0.4.0rc4-1mdv2008.0
+ Revision: 26039
- Build against openmpi instead of mpich2.


* Mon Nov 06 2006 Lev Givon <lev@mandriva.org> 0.4.0rc2-1mdv2007.0
+ Revision: 76967
- Fix build deps.
- Add files.

